//----------------------------------------------------------------------------------
// File		: test3D.c
// Date		: July 23, 1994
// Author	: Jim Stout
//			:
// Purpose	: Test code for the 3D cdef
//----------------------------------------------------------------------------------
#include "debugCDEF.h"
#include "togLib.h"

#define sCK1 4
#define sCK2 5
#define sRB1 6
#define sRB2 7

#define CK1 11
#define CK2 12
#define RB1 13
#define RB2 14

#define TB1 16
#define TB2 17
#define TB3 18
#define TB4 19

extern	pascal void CDmain();			// entry point to CDEF in cdef3D.c

main()
{
	CJMPhdl				ch;
	DialogPtr			theDialog;
	short				itemHit,t;
	Rect				r;
	ControlHandle		h;
	
	InitGraf(&thePort);
	InitWindows();
	InitFonts();
	InitMenus();
	TEInit();
	InitCursor();
	InitDialogs(0L);
		
	ch = (CJMPhdl)GetResource('CJMP',128);
	if(ch) {
		(**ch).cdefPtr = (long*)CDmain;
		ChangedResource((Handle)ch);
	}
	else
		ExitToShell();

	theDialog = GetNewDialog(128,0L,(DialogPtr)-1);
	if(theDialog) {
		SetPort(theDialog);	
		
		GetDItem(theDialog, sRB1, &t, (Handle *)&h, &r);
		if(h)
			SetCtlValue(h,!GetCtlValue(h));
		
//		TextFont(geneva);
//		TextSize(9);

		ShowWindow(theDialog);
		
		do {
			ModalDialog(nil,&itemHit);
			switch(itemHit) {
				case CK1:
				case CK2:
				case sCK1:
				case sCK2:
					GetDItem(theDialog, itemHit, &t, (Handle *)&h, &r);
					if(h)
						SetCtlValue(h,!GetCtlValue(h));
					resetTogButtons(theDialog,TB1);
				break;
				case RB1:
				case RB2:
					setRadioButtons(theDialog,itemHit,RB1,RB2);
					resetTogButtons(theDialog,TB1);
				break;
				case sRB1:
				case sRB2:
					setRadioButtons(theDialog,itemHit,sRB1,sRB2);
					resetTogButtons(theDialog,TB1);
				break;
				case TB1:
				case TB2:
				case TB3:
				case TB4:
					setTogButtons(theDialog,itemHit,TB1,TB4);
				break;
			}
		}while(itemHit != 1 && itemHit != 2);
		DisposDialog(theDialog);
	}
}